summaryrefslogtreecommitdiffstats
path: root/sysutils/comconsole/pkg-deinstall
diff options
context:
space:
mode:
authorsada <sada@FreeBSD.org>1998-12-27 18:04:33 +0000
committersada <sada@FreeBSD.org>1998-12-27 18:04:33 +0000
commit82ac023306de718da9c077e5e54157749da7ba94 (patch)
tree8062d456dbdfe1db7d9e2b5f79fa432c38e5dea6 /sysutils/comconsole/pkg-deinstall
parentcd4c73a2b75e006d0d2416830a10919a707fd9e4 (diff)
downloadFreeBSD-ports-82ac023306de718da9c077e5e54157749da7ba94.zip
FreeBSD-ports-82ac023306de718da9c077e5e54157749da7ba94.tar.gz
Moved from `misc' category.
-- This package will setup your PC to use serial port COM1 as its console device. Note that this is a special package and you should pkg_add this on a newly installed system. This is intended to install from installer floppy disk on a system without its own display nor keyboard.
Diffstat (limited to 'sysutils/comconsole/pkg-deinstall')
-rw-r--r--sysutils/comconsole/pkg-deinstall29
1 files changed, 29 insertions, 0 deletions
diff --git a/sysutils/comconsole/pkg-deinstall b/sysutils/comconsole/pkg-deinstall
new file mode 100644
index 0000000..c8e021d
--- /dev/null
+++ b/sysutils/comconsole/pkg-deinstall
@@ -0,0 +1,29 @@
+#!/bin/sh
+[ "x$1" = "x" ] && exit 1
+if [ "x$2" = "xPOST-INSTALL" ]; then
+ cat <<'EOF' >/boot.config
+-P
+EOF
+ mv -f /etc/ttys /etc/ttys.last
+ awk -f - /etc/ttys.last <<'EOF' >/etc/ttys
+/^console/ {
+ print "console \"/usr/libexec/getty std.9600\" vt100 on secure"
+ next
+}
+{
+ print
+}
+EOF
+fi
+if [ "x$2" = "xDEINSTALL" ]; then
+ mv -f /etc/ttys /etc/ttys.last
+ awk -f - /etc/ttys.last <<'EOF' >/etc/ttys
+/^console/ {
+ print "console none unknown off secure"
+ next
+}
+{
+ print
+}
+EOF
+fi
OpenPOWER on IntegriCloud